kafka-users mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Ismael Juma <ism...@juma.me.uk>
Subject Re: Upgrade path to 0.10.x
Date Sun, 03 Apr 2016 07:47:52 GMT
Hi Tommy,

I think it's reasonable to think it should work. However, our upgrade tests
don't currently test that scenario and that is why we only mention
{0.8.2.x, 0.9.0.x} to 0.10.0.0:

https://github.com/apache/kafka/blob/trunk/tests/kafkatest/tests/upgrade_test.py#L62

The best way to verify would be to update the system tests to include older
versions that are expected to work and, if they pass, update the upgrade
documentation. I suggest filing a JIRA. Contributions are also welcome!

Ismael

On Thu, Mar 31, 2016 at 2:18 PM, Tommy Becker <tobecker@tivo.com> wrote:

> Hey folks,
> We are currently still running Kafka 0.8.1.1, and are looking to upgrade.
> From what I have been able to tell, upgrading to 0.10.x will be supported
> from as far back as 0.8.2.x. But the documentation for 0.8.2.x seems to
> indicate that upgrading from 0.8.1.x effectively a no-op. So my question is
> does that imply that upgrading from 0.8.1.1 to 0.10.x will be supported?
>
> Regards,
> Tommy
>
>
> ________________________________
>
> This email and any attachments may contain confidential and privileged
> material for the sole use of the intended recipient. Any review, copying,
> or distribution of this email (or any attachments) by others is prohibited.
> If you are not the intended recipient, please contact the sender
> immediately and permanently delete this email and any attachments. No
> employee or agent of TiVo Inc. is authorized to conclude any binding
> agreement on behalf of TiVo Inc. by email. Binding agreements with TiVo
> Inc. may only be made by a signed written agreement.
>

Mime
  • Unnamed multipart/alternative (inline, None, 0 bytes)
View raw message